OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelStorage

Description

This module corresponds to section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data PixelStoreDirection Source

Constructors

Pack |
Unpack |

Instances

Eq PixelStoreDirection |
Ord PixelStoreDirection |
Show PixelStoreDirection |

swapBytes :: PixelStoreDirection -> StateVar Bool Source

lsbFirst :: PixelStoreDirection -> StateVar Bool Source

rowLength :: PixelStoreDirection -> StateVar GLint Source

skipRows :: PixelStoreDirection -> StateVar GLint Source

skipPixels :: PixelStoreDirection -> StateVar GLint Source

rowAlignment :: PixelStoreDirection -> StateVar GLint Source

imageHeight :: PixelStoreDirection -> StateVar GLint Source

skipImages :: PixelStoreDirection -> StateVar GLint Source